Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82540 - last -i shows wrong IP address for local graphical logins
Summary: last -i shows wrong IP address for local graphical logins
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
: 43690 98659 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 06:31 UTC by Ralf Spenneberg
Modified: 2014-03-17 02:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-28 06:21:17 UTC


Attachments (Terms of Use)

Description Ralf Spenneberg 2003-01-23 06:31:35 UTC
Description of problem:
When logging in through gdm, the command "last -i" shows an arbitrary IP
address. This bug has already been entered for 7.0 :32417, 43690
but apparently it was never fixed

Version-Release number of selected component (if applicable):
SysVinit-2.84-5
 but probably all (since Red Hat 7.0)

How reproducible:
Always

Steps to Reproduce:
1. login via gdm
2. Enter "last -i":
    
Actual results:
spenneb  :0           136.46.1.64      Thu Jan 23 06:30   still logged in
reboot   system boot  0.0.0.0          Thu Jan 23 06:29          (00:55)
spenneb  :0           136.46.1.64      Wed Jan 22 07:44 - down   (15:01)
reboot   system boot  0.0.0.0          Wed Jan 22 07:41          (15:04)


Expected results:
spenneb  :0                            Thu Jan 23 06:30   still logged in
reboot   system boot  0.0.0.0          Thu Jan 23 06:29          (00:55)
spenneb  :0                            Wed Jan 22 07:44 - down   (15:01)
reboot   system boot  0.0.0.0          Wed Jan 22 07:41          (15:04)


Additional info:
This bug was entered into bugzilla for Red Hat 7.0 but apparently never fixed.

Comment 1 Ralf Spenneberg 2003-10-29 06:57:31 UTC
I just confirmed, that it happens on RH 9, too.

$  rpm -q SysVinit
SysVinit-2.84-13

$  last -i
spenneb  pts/0        0.0.0.0          Wed Oct 29 07:38   still logged in
spenneb  :0           64.105.1.64      Wed Oct 29 07:37   still logged in
reboot   system boot  0.0.0.0          Wed Oct 29 07:35          (00:21)

Comment 2 Bill Nottingham 2005-01-28 06:08:39 UTC
*** Bug 43690 has been marked as a duplicate of this bug. ***

Comment 3 Bill Nottingham 2005-01-28 06:21:17 UTC
Closing out unresolved bugs on older, end-of-lifed releases.
Apologies for any lack of response.

This appears to work for me on a current release.

Comment 4 Bill Nottingham 2005-01-28 06:22:02 UTC
*** Bug 98659 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.